Get Execution
curl --request GET \
--url http://{host}:{port}/{contextPath}/execution/{id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "http://{host}:{port}/{contextPath}/execution/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('http://{host}:{port}/{contextPath}/execution/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "anExecutionId",
"processInstanceId": "aProcInstId",
"ended": false,
"tenantId": null
}{
"type": "<string>",
"message": "<string>",
"code": 123
}Execution
Get Execution
Retrieves an execution by id, according to the Execution interface in the
engine.
GET
/
execution
/
{id}
Get Execution
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The id of the execution to be retrieved.
Response
Request successful.
The id of the Execution.
The id of the root of the execution tree representing the process instance.
Indicates if the execution is ended.
The id of the tenant this execution belongs to. Can be null
if the execution belongs to no single tenant.